<?php
include 'database.php';

if(!$_POST){
	die('[Error: 001] Parámetros');
}

$ID = substr(date('dmyHsi'), 0, 11);
$_POST['nom1'] = strtoupper(_FREE($_POST['nom1']));
$_POST['nom2'] = strtoupper(_FREE($_POST['nom2']));
$_POST['ape1'] = strtoupper(_FREE($_POST['ape1']));
$_POST['ape2'] = strtoupper(_FREE($_POST['ape2']));
$_POST['titulo'] = _FREE($_POST['titulo']);
$_POST['empresa'] = _FREE($_POST['empresa']);
$_POST['direccion'] = _FREE($_POST['direccion']);
$_POST['ciudad'] = _FREE($_POST['ciudad']);
$_POST['provincia'] = _FREE($_POST['provincia']);
$_POST['postal'] = _FREE($_POST['postal']);
$_POST['temp1'] = _FREE($_POST['temp1']); //PAIS
$_POST['email'] = _FREE($_POST['email']);
$_POST['telefono'] = _FREE($_POST['telefono']);
$_POST['fax'] = _FREE($_POST['fax']);
/**/

$cabeceras  = 'MIME-Version: 1.0' . "\r\n";
$cabeceras .= 'Content-type: text/html; charset=iso-8859-1' . "\r\n";
$cabeceras .= 'FROM: sibsig@una.ac.cr' . "\r\n";

if($_POST['LEN'] == '0'){
	$str = "Ha registrado exitosamente su participación en el Congreso CSIG 2009.\n\n
	La tarifa establecida solo aplica para inscripciones 'PAGADAS'.
	Recomendamos realizar su pago ahora para garantizar el précio más cómodo para el congreso. Su inscripción quedará confirmada a partir de la realización del pago.\n\n
	Puede realizar el pago electrónico de su inscripcion en la siguiente direccion: https://www.fundauna.una.ac.cr/CSIG/es\n\n
	su código de inscripción es: $ID";
}else{
	$str = "ALEAR 2009 registration succeed.\n\n
	Conference cost only apply to payed registraions.
	We recomend you to make your payment now to guarantee a better price.\n\n
	You can make your payment at the following site: https://www.fundauna.una.ac.cr/ALEAR/en\n\n
	,your registration ID is: $ID";
}

$SQL = "EXECUTE PA_EPI_000 '$ID',
        '{$_POST['nom1']}',
		'{$_POST['nom2']}',
		'{$_POST['ape1']}',
		'{$_POST['ape2']}',
		0,
		'{$_POST['civil']}',
		'{$_POST['grado']}',
		'{$_POST['titulo']}',
		'{$_POST['empresa']}',
		'{$_POST['direccion']}',
		'{$_POST['ciudad']}',
		'{$_POST['provincia']}',
		'{$_POST['postal']}',
		'{$_POST['pais']}',
		'{$_POST['temp1']}',
		'{$_POST['email']}',
		'{$_POST['telefono']}',
		'{$_POST['fax']}',
		{$_POST['estudiante']}
		;";

if(@!_TRANS($SQL)){
	if($_POST['LEN'] == '0') die('<br><center>ERROR: El email especificado actualmente se encuentra registrado por otro usuario.');
	else die('<br><center>ERROR: Email already registered by another user.');
}else{
	mail($_POST['email'], 'INSCRIPCION CONGRESO CSIG', $str, $cabeceras);
	header("Location: ok.php?ID=$ID&LEN={$_POST['LEN']}");
	exit();
}
?>